Loading...
Searching...
No Matches
gx_jconv::IRWindow Class Reference

`#include <gx_jconv_settings.h>`

Inheritance diagram for gx_jconv::IRWindow:

## Classes

class | ModelColumns

## Public Member Functions

void | reload_and_show ()
| ~IRWindow ()

## Static Public Member Functions

static IRWindow * | create (const std::string &unit_id, Glib::RefPtr< Gdk::Pixbuf > icon, gx_engine::GxMachineBase &machine, Glib::RefPtr< Gtk::AccelGroup > accels, int nchan)

## Private Member Functions

int | set_val (Gxw::ControlParameter *sample_display, Gxw::ControlParameter *ms_display, double value, int fs)
int | get_ms (Gxw::ControlParameter *w)
void | file_changed (Glib::ustring filename, int rate, int length, int channels, Glib::ustring format)
bool | load_data (Glib::ustring filename, int offset=0, int delay=0, int length=0, const Gainline &gain=gain0)
void | load_state (const gx_engine::GxJConvSettings *jcp)
void | make_state (gx_engine::GxJConvSettings &jc)
void | save_state ()
void | set_GainCor ()
double | calc_normalized_gain (int offset, int length, const Gainline &points)
void | destroy_self ()
void | on_window_hide ()
void | on_delay_changed (int delay, int fs)
void | on_offset_changed (int offset, int fs)
void | on_length_changed (int length, int fs)
void | on_max_scale_reached (bool v)
void | on_min_scale_reached (bool v)
void | on_left ()
void | on_right ()
void | on_sum ()
void | on_linear ()
void | on_m_delay_changed ()
void | on_ms_delay_changed ()
void | on_m_offset_changed ()
void | on_ms_offset_changed ()
void | on_m_length_changed ()
void | on_ms_length_changed ()
Glib::ustring | on_delay_delta_format_value (double v)
void | on_home ()
void | on_jump_zoom_mark ()
void | on_decr ()
void | on_incr ()
void | on_reset_clicked ()
void | on_open ()
void | on_apply_button_clicked ()
void | on_cancel_button_clicked ()
void | on_ok_button_clicked ()
void | on_gain_button_toggled ()
void | on_help_clicked ()
void | on_preset_popup_clicked ()
void | reload_impresp_list ()
void | on_enumerate (const std::string &path, const std::vector< gx_system::FileName > &l)
bool | on_key_press_event (GdkEventKey *event)
void | init_connect ()
| IRWindow (const Glib::RefPtr< gx_gui::GxBuilder > &builder, gx_engine::JConvParameter *jcp, Glib::RefPtr< Gdk::Pixbuf > icon, gx_engine::GxMachineBase &machine, Glib::RefPtr< Gtk::AccelGroup > accels, int nchan)
void | on_combo_changed ()
void | on_dircombo_changed ()

## Private Attributes

gx_engine::GxMachineBase & | machine
Glib::RefPtr< gx_gui::GxBuilder > | builder
Glib::ustring | filename
double | ms
float * | audio_buffer
unsigned int | audio_size
int | audio_chan
gx_engine::JConvParameter * | jcp
Gtk::Window * | gtk_window
sigc::connection | autogain_conn
int | nchan
Gxw::IREdit * | wIredit
Gxw::RadioButton * | wLeft
Gxw::RadioButton * | wRight
Gxw::RadioButton * | wSum
Gxw::RadioButton * | wLinear
Gxw::RadioButton * | wLog
Gxw::ValueDisplay * | wDelay
Gxw::ValueDisplay * | wDelay_ms
Gxw::ValueDisplay * | wOffset
Gxw::ValueDisplay * | wOffset_ms
Gxw::ValueDisplay * | wLength
Gxw::ValueDisplay * | wLength_ms
Gxw::Regler * | wDelay_delta
Gtk::Button * | wHome
Gtk::Button * | wJump_zoom_mark
Gtk::Button * | wIncr
Gtk::Button * | wDecr
Gtk::Button * | wReset
Gtk::Button * | wOpen
Gtk::Button * | wOk
Gtk::Button * | wApply
Gtk::Button * | wCancel
Gtk::ToggleButton * | wGain_correction
Gtk::Label * | wSamples
Gtk::Label * | wSampleRate
Gtk::Label * | wFormat
Gtk::Label * | wChan
Gtk::Label * | wFilename
Gtk::Widget * | wChannelbox
Gtk::Window * | wHelp
Gtk::ComboBox * | wcombo
ModelColumns | columns
Glib::RefPtr< Gtk::TreeStore > | model
std::string | current_combo_dir
Gtk::ComboBox * | dircombo

## Static Private Attributes

static Gainline | gain0

## Detailed Description

Definition at line 37 of file gx_jconv_settings.h.

## Constructor & Destructor Documentation

## IRWindow()

gx_jconv::IRWindow::IRWindow | ( | const Glib::RefPtr< gx_gui::GxBuilder > & | builder,
|  | gx_engine::JConvParameter * | jcp,
|  | Glib::RefPtr< Gdk::Pixbuf > | icon,
|  | gx_engine::GxMachineBase & | machine,
|  | Glib::RefPtr< Gtk::AccelGroup > | accels,
|  | int | nchan )

private

Referenced by create().

## ~IRWindow()

gx_jconv::IRWindow::~IRWindow | ( |  | ) |

## Member Function Documentation

## calc_normalized_gain()

double gx_jconv::IRWindow::calc_normalized_gain | ( | int | offset,
|  | int | length,
|  | const Gainline & | points )

private

## create()

IRWindow * gx_jconv::IRWindow::create | ( | const std::string & | unit_id,
|  | Glib::RefPtr< Gdk::Pixbuf > | icon,
|  | gx_engine::GxMachineBase & | machine,
|  | Glib::RefPtr< Gtk::AccelGroup > | accels,
|  | int | nchan )

static

## destroy_self()

void gx_jconv::IRWindow::destroy_self | ( |  | ) |

private

## file_changed()

void gx_jconv::IRWindow::file_changed | ( | Glib::ustring | filename,
|  | int | rate,
|  | int | length,
|  | int | channels,
|  | Glib::ustring | format )

private

## get_ms()

int gx_jconv::IRWindow::get_ms | ( | Gxw::ControlParameter * | w | ) |

inline private

Definition at line 54 of file gx_jconv_settings.h.

## init_connect()

void gx_jconv::IRWindow::init_connect | ( |  | ) |

private

## load_data()

bool gx_jconv::IRWindow::load_data | ( | Glib::ustring | filename,
|  | int | offset = 0,
|  | int | delay = 0,
|  | int | length = 0,
|  | const Gainline & | gain = gain0 )

private

## load_state()

void gx_jconv::IRWindow::load_state | ( | const gx_engine::GxJConvSettings * | jcp | ) |

private

## make_state()

void gx_jconv::IRWindow::make_state | ( | gx_engine::GxJConvSettings & | jc | ) |

private

## on_apply_button_clicked()

void gx_jconv::IRWindow::on_apply_button_clicked | ( |  | ) |

private

## on_cancel_button_clicked()

void gx_jconv::IRWindow::on_cancel_button_clicked | ( |  | ) |

private

## on_combo_changed()

void gx_jconv::IRWindow::on_combo_changed | ( |  | ) |

private

## on_decr()

void gx_jconv::IRWindow::on_decr | ( |  | ) |

private

## on_delay_changed()

void gx_jconv::IRWindow::on_delay_changed | ( | int | delay,
|  | int | fs )

private

## on_delay_delta_format_value()

Glib::ustring gx_jconv::IRWindow::on_delay_delta_format_value | ( | double | v | ) |

private

## on_dircombo_changed()

void gx_jconv::IRWindow::on_dircombo_changed | ( |  | ) |

private

## on_enumerate()

void gx_jconv::IRWindow::on_enumerate | ( | const std::string & | path,
|  | const std::vector< gx_system::FileName > & | l )

private

## on_gain_button_toggled()

void gx_jconv::IRWindow::on_gain_button_toggled | ( |  | ) |

private

## on_help_clicked()

void gx_jconv::IRWindow::on_help_clicked | ( |  | ) |

private

## on_home()

void gx_jconv::IRWindow::on_home | ( |  | ) |

private

## on_incr()

void gx_jconv::IRWindow::on_incr | ( |  | ) |

private

## on_jump_zoom_mark()

void gx_jconv::IRWindow::on_jump_zoom_mark | ( |  | ) |

private

## on_key_press_event()

bool gx_jconv::IRWindow::on_key_press_event | ( | GdkEventKey * | event | ) |

private

## on_left()

void gx_jconv::IRWindow::on_left | ( |  | ) |

private

## on_length_changed()

void gx_jconv::IRWindow::on_length_changed | ( | int | length,
|  | int | fs )

private

## on_linear()

void gx_jconv::IRWindow::on_linear | ( |  | ) |

private

## on_m_delay_changed()

void gx_jconv::IRWindow::on_m_delay_changed | ( |  | ) |

private

## on_m_length_changed()

void gx_jconv::IRWindow::on_m_length_changed | ( |  | ) |

private

## on_m_offset_changed()

void gx_jconv::IRWindow::on_m_offset_changed | ( |  | ) |

private

## on_max_scale_reached()

void gx_jconv::IRWindow::on_max_scale_reached | ( | bool | v | ) |

private

## on_min_scale_reached()

void gx_jconv::IRWindow::on_min_scale_reached | ( | bool | v | ) |

private

## on_ms_delay_changed()

void gx_jconv::IRWindow::on_ms_delay_changed | ( |  | ) |

private

## on_ms_length_changed()

void gx_jconv::IRWindow::on_ms_length_changed | ( |  | ) |

private

## on_ms_offset_changed()

void gx_jconv::IRWindow::on_ms_offset_changed | ( |  | ) |

private

## on_offset_changed()

void gx_jconv::IRWindow::on_offset_changed | ( | int | offset,
|  | int | fs )

private

## on_ok_button_clicked()

void gx_jconv::IRWindow::on_ok_button_clicked | ( |  | ) |

private

## on_open()

void gx_jconv::IRWindow::on_open | ( |  | ) |

private

## on_preset_popup_clicked()

void gx_jconv::IRWindow::on_preset_popup_clicked | ( |  | ) |

private

## on_reset_clicked()

void gx_jconv::IRWindow::on_reset_clicked | ( |  | ) |

private

## on_right()

void gx_jconv::IRWindow::on_right | ( |  | ) |

private

## on_sum()

void gx_jconv::IRWindow::on_sum | ( |  | ) |

private

## on_window_hide()

void gx_jconv::IRWindow::on_window_hide | ( |  | ) |

private

## reload_and_show()

void gx_jconv::IRWindow::reload_and_show | ( |  | ) |

## reload_impresp_list()

void gx_jconv::IRWindow::reload_impresp_list | ( |  | ) |

private

## save_state()

void gx_jconv::IRWindow::save_state | ( |  | ) |

private

## set_GainCor()

void gx_jconv::IRWindow::set_GainCor | ( |  | ) |

private

## set_val()

int gx_jconv::IRWindow::set_val | ( | Gxw::ControlParameter * | sample_display,
|  | Gxw::ControlParameter * | ms_display,
|  | double | value,
|  | int | fs )

private

## Member Data Documentation

## audio_buffer

float* gx_jconv::IRWindow::audio_buffer

private

Definition at line 43 of file gx_jconv_settings.h.

## audio_chan

int gx_jconv::IRWindow::audio_chan

private

Definition at line 45 of file gx_jconv_settings.h.

## audio_size

unsigned int gx_jconv::IRWindow::audio_size

private

Definition at line 44 of file gx_jconv_settings.h.

## autogain_conn

sigc::connection gx_jconv::IRWindow::autogain_conn

private

Definition at line 48 of file gx_jconv_settings.h.

## builder

Glib::RefPtr<gx_gui::GxBuilder> gx_jconv::IRWindow::builder

private

Definition at line 40 of file gx_jconv_settings.h.

Referenced by IRWindow().

## columns

ModelColumns gx_jconv::IRWindow::columns

private

Definition at line 138 of file gx_jconv_settings.h.

## current_combo_dir

std::string gx_jconv::IRWindow::current_combo_dir

private

Definition at line 140 of file gx_jconv_settings.h.

## dircombo

Gtk::ComboBox* gx_jconv::IRWindow::dircombo

private

Definition at line 143 of file gx_jconv_settings.h.

## filename

Glib::ustring gx_jconv::IRWindow::filename

private

Definition at line 41 of file gx_jconv_settings.h.

Referenced by file_changed(), and load_data().

## gain0

Gainline gx_jconv::IRWindow::gain0

static private

Definition at line 59 of file gx_jconv_settings.h.

Referenced by load_data().

## gtk_window

Gtk::Window* gx_jconv::IRWindow::gtk_window

private

Definition at line 47 of file gx_jconv_settings.h.

## jcp

gx_engine::JConvParameter* gx_jconv::IRWindow::jcp

private

Definition at line 46 of file gx_jconv_settings.h.

Referenced by IRWindow(), and load_state().

## machine

gx_engine::GxMachineBase& gx_jconv::IRWindow::machine

private

Definition at line 39 of file gx_jconv_settings.h.

Referenced by create(), and IRWindow().

## model

Glib::RefPtr<Gtk::TreeStore> gx_jconv::IRWindow::model

private

Definition at line 139 of file gx_jconv_settings.h.

## ms

double gx_jconv::IRWindow::ms

private

Definition at line 42 of file gx_jconv_settings.h.

Referenced by get_ms().

## nchan

int gx_jconv::IRWindow::nchan

private

Definition at line 49 of file gx_jconv_settings.h.

Referenced by create(), and IRWindow().

## wApply

Gtk::Button * gx_jconv::IRWindow::wApply

private

Definition at line 107 of file gx_jconv_settings.h.

## wCancel

Gtk::Button * gx_jconv::IRWindow::wCancel

private

Definition at line 107 of file gx_jconv_settings.h.

## wChan

Gtk::Label * gx_jconv::IRWindow::wChan

private

Definition at line 115 of file gx_jconv_settings.h.

## wChannelbox

Gtk::Widget* gx_jconv::IRWindow::wChannelbox

private

Definition at line 116 of file gx_jconv_settings.h.

## wcombo

Gtk::ComboBox* gx_jconv::IRWindow::wcombo

private

Definition at line 137 of file gx_jconv_settings.h.

## wDecr

Gtk::Button * gx_jconv::IRWindow::wDecr

private

Definition at line 97 of file gx_jconv_settings.h.

## wDelay

Gxw::ValueDisplay* gx_jconv::IRWindow::wDelay

private

Definition at line 86 of file gx_jconv_settings.h.

## wDelay_delta

Gxw::Regler* gx_jconv::IRWindow::wDelay_delta

private

Definition at line 94 of file gx_jconv_settings.h.

## wDelay_ms

Gxw::ValueDisplay * gx_jconv::IRWindow::wDelay_ms

private

Definition at line 86 of file gx_jconv_settings.h.

## wFilename

Gtk::Label * gx_jconv::IRWindow::wFilename

private

Definition at line 115 of file gx_jconv_settings.h.

## wFormat

Gtk::Label * gx_jconv::IRWindow::wFormat

private

Definition at line 115 of file gx_jconv_settings.h.

## wGain_correction

Gtk::ToggleButton* gx_jconv::IRWindow::wGain_correction

private

Definition at line 112 of file gx_jconv_settings.h.

## wHelp

Gtk::Window* gx_jconv::IRWindow::wHelp

private

Definition at line 119 of file gx_jconv_settings.h.

## wHome

Gtk::Button* gx_jconv::IRWindow::wHome

private

Definition at line 97 of file gx_jconv_settings.h.

## wIncr

Gtk::Button * gx_jconv::IRWindow::wIncr

private

Definition at line 97 of file gx_jconv_settings.h.

## wIredit

Gxw::IREdit* gx_jconv::IRWindow::wIredit

private

Definition at line 71 of file gx_jconv_settings.h.

## wJump_zoom_mark

Gtk::Button * gx_jconv::IRWindow::wJump_zoom_mark

private

Definition at line 97 of file gx_jconv_settings.h.

## wLeft

Gxw::RadioButton* gx_jconv::IRWindow::wLeft

private

Definition at line 78 of file gx_jconv_settings.h.

## wLength

Gxw::ValueDisplay * gx_jconv::IRWindow::wLength

private

Definition at line 86 of file gx_jconv_settings.h.

## wLength_ms

Gxw::ValueDisplay * gx_jconv::IRWindow::wLength_ms

private

Definition at line 86 of file gx_jconv_settings.h.

## wLinear

Gxw::RadioButton* gx_jconv::IRWindow::wLinear

private

Definition at line 83 of file gx_jconv_settings.h.

## wLog

Gxw::RadioButton * gx_jconv::IRWindow::wLog

private

Definition at line 83 of file gx_jconv_settings.h.

## wOffset

Gxw::ValueDisplay * gx_jconv::IRWindow::wOffset

private

Definition at line 86 of file gx_jconv_settings.h.

## wOffset_ms

Gxw::ValueDisplay * gx_jconv::IRWindow::wOffset_ms

private

Definition at line 86 of file gx_jconv_settings.h.

## wOk

Gtk::Button* gx_jconv::IRWindow::wOk

private

Definition at line 107 of file gx_jconv_settings.h.

## wOpen

Gtk::Button * gx_jconv::IRWindow::wOpen

private

Definition at line 103 of file gx_jconv_settings.h.

## wReset

Gtk::Button* gx_jconv::IRWindow::wReset

private

Definition at line 103 of file gx_jconv_settings.h.

## wRight

Gxw::RadioButton * gx_jconv::IRWindow::wRight

private

Definition at line 78 of file gx_jconv_settings.h.

## wSampleRate

Gtk::Label * gx_jconv::IRWindow::wSampleRate

private

Definition at line 115 of file gx_jconv_settings.h.

## wSamples

Gtk::Label* gx_jconv::IRWindow::wSamples

private

Definition at line 115 of file gx_jconv_settings.h.

## wSum

Gxw::RadioButton * gx_jconv::IRWindow::wSum

private

Definition at line 78 of file gx_jconv_settings.h.

The documentation for this class was generated from the following file:

- src/headers/gx_jconv_settings.h